% this one does responses based on a saved posterior distribution
%using draws
datanam = 'cooked_data_2017.xls';
[priors,draw,data] = fastar_priors_GVS_unb_after(datanam);
gi_d=size(results.c,2);
results.bic=zeros(1,gi_d);
for i=1:gi_d
    draw.A1=results.A1(:,:,i); 
    draw.A2=results.A2(:,:,i);
    draw.OMEGA1=results.OMEGA1(:,:,i); 
    draw.OMEGA2=results.OMEGA2(:,:,i); 
    draw.gamma=results.gamma(:,i); 
    draw.c=results.c(:,i);
    draw.phi_val=results.phi_val(:,i)';
    [~,T]=size(draw.phi_val);
    for t=1:T
    draw.OMEGA(:,:,t) = draw.OMEGA1 * (1-draw.phi_val(:,t)) + ( draw.phi_val(:,t)) * draw.OMEGA2;
    end
    draw.lam=results.lam(:,i);
    draw.sig=results.sig(:,i);
    draw.beta=results.beta(:,i);
   draw.F=results.F(:,:,i); 
    draw.F_minus = normrnd(priors.f,sqrt(priors.F),1,priors.T+priors.P,priors.P);
    draw.F_minus(:,1+1:priors.T+1,1) = draw.F;
    draw.sc=std(draw.F(:,5:end,1),1,2); 
    [results.bic(:,i)]=fastar_bic_RDH(draw,priors,data);
end,
meanz.bic = mean(results.bic,2);
