% this one does responses based on a saved posterior distribution
%using draws
datanam = 'cooked_data_2017.xls';
[priors,draw,data] = fastar_priors_GVS_unb_after(datanam);
rt=10; % this will give 600 draws. 
gi_d=size(results.c,2)/rt;
vari=zeros(priors.N+1,priors.T,gi_d);
for i=1:gi_d
    draw.A1=results.A1(:,:,rt+rt*(i-1)); 
    draw.A2=results.A2(:,:,rt+rt*(i-1));
    draw.OMEGA1=results.OMEGA1(:,:,rt+rt*(i-1)); 
    draw.OMEGA2=results.OMEGA2(:,:,rt+rt*(i-1)); 
    draw.gamma=results.gamma(:,rt+rt*(i-1)); 
    draw.c=results.c(:,rt+rt*(i-1));
    draw.phi_val=results.phi_val(:,rt+rt*(i-1));
    draw.lam=results.lam(:,rt+rt*(i-1));
    draw.sig=results.sig(:,rt+rt*(i-1));
    draw.beta=results.beta(:,rt+rt*(i-1));
    draw.F=results.F(:,:,rt+rt*(i-1)); 
    draw.F_minus = normrnd(priors.f,sqrt(priors.F),1,priors.T+priors.P,priors.P);
    draw.F_minus(:,1+1:priors.T+1,1) = draw.F;
    draw.sc=std(draw.F(:,5:end,1),1,2); 
    vari(1,:,i)=sqrt(draw.OMEGA1(1,1)*(1-draw.phi_val)+(draw.phi_val)*draw.OMEGA2(1,1));
   vari(2,:,i)=sqrt(draw.OMEGA1(2,2)*(1-draw.phi_val)+(draw.phi_val)*draw.OMEGA2(2,2));
   vari(3,:,i)=sqrt(draw.OMEGA1(3,3)*(1-draw.phi_val)+(draw.phi_val)*draw.OMEGA2(3,3));
end,
vari_p = quantile(vari,[.16 .5 .84],3); 
p1=vari_p(:,:,1);
p2=vari_p(:,:,2); 
p3=vari_p(:,:,3);
V_p=[p1' p2' p3'];
Vm=mean(vari,3)'; 
vm_std=std(vari,1,3)';
mean(vm_std)