

function [A1,A2] = draw_A(r,R,priors)
%   zappa is the number of columns in one regime's worth of A
zappa = 1 + (1 + priors.N) * priors.P;
ne=priors.N+1; %number of endogenous variables
X = r + chol(R,'lower') * normrnd(0,1,size(r,1),1);
A = zeros(priors.N + 1,2 * zappa);
for n = 1:priors.N
    A(n,:) = X((n - 1) * 2 * (zappa) + 1:n * 2 * zappa,1)';
end,
% % A(priors.N+1,2:priors.P*(priors.N+1)+1) = X((priors.N) * 2 * zappa + 1:(priors.N) * 2 * (1 + zappa + (priors.N + 1) * priors.P));
% % A(priors.N+1,zappa+2:end) = X((priors.N) * 2 * zappa + zappa:end);
%A(priors.N+1,zappa - priors.P + 1:zappa) = X(end - 2 * priors.P + 1:end - priors.P);
%A(priors.N+1,end - priors.P + 1:end) = X(end - priors.P + 1:end);
%it works only with p=2
% A(priors.N+1,1+ne) = X(zappa*4+1,1);
% A(priors.N+1,1+(ne*2)) = X(zappa*4+2,1);
% A(priors.N+1,zappa+1+ne) = X(zappa*4+3,1);
% A(priors.N+1,zappa+1+(ne*2)) = X(zappa*4+4,1);
%works with p=4
% A(priors.N+1,1+ne) = X(zappa*4+1,1);
% A(priors.N+1,1+(ne*2)) = X(zappa*4+2,1);
% A(priors.N+1,1+(ne*3)) = X(zappa*4+3,1);
% A(priors.N+1,1+(ne*4)) = X(zappa*4+4,1);
% A(priors.N+1,zappa+1+ne) = X(zappa*4+5,1);
% A(priors.N+1,zappa+1+(ne*2)) = X(zappa*4+6,1);
% A(priors.N+1,zappa+1+(ne*3)) = X(zappa*4+7,1);
% A(priors.N+1,zappa+1+(ne*4)) = X(zappa*4+8,1);
%p=3
% A(priors.N+1,1+ne) = X(zappa*4+1,1);
% A(priors.N+1,1+(ne*2)) = X(zappa*4+2,1);
% A(priors.N+1,1+(ne*3)) = X(zappa*4+3,1);
% A(priors.N+1,zappa+1+ne) = X(zappa*4+4,1);
% A(priors.N+1,zappa+1+(ne*2)) = X(zappa*4+5,1);
% A(priors.N+1,zappa+1+(ne*3)) = X(zappa*4+6,1);
%works with p=1
A(priors.N+1,1+ne) = X(zappa*(priors.N*2)+1,1);
A(priors.N+1,zappa+1+ne) = X(zappa*(priors.N*2)+2,1);
A1 = A(:,1:zappa);
A2 = A(:,1 + zappa:end);
