
function [r,R] = fastar_A_RDH(draw,priors,data)

XX = priors.A;
XY = priors.A * priors.a;
%   I'm truncating this twice...might be a better way...
for t = priors.P:priors.T
    iomega = inv(draw.OMEGA(:,:,t));
    Yt = [data.Y(:,t) ; draw.F(:,t)];
    Xst = [];
    for n = 1:priors.N + 1
        if n < priors.N + 1
            X1t = 1;
            X2t = draw.phi_val(1,t);
            for p = 1:priors.P
                X_minus = [data.Y_minus(:,t,p)',draw.F_minus(:,t,p)'];
                X1t = [X1t X_minus];
                X2t = [X2t draw.phi_val(1,t) * X_minus];
            end,
        else
            %   no intercept for the factor
            X1t = [];
            X2t = [];
            for p = 1:priors.P
                X_minus = draw.F_minus(:,t,p)';
                X1t = [X1t X_minus];
                X2t = [X2t draw.phi_val(1,t) * X_minus];
            end,
        end,

        Xt = [X1t X2t];
        Xst = blkdiag(Xst,Xt);
    end,
    XX = XX + Xst' * iomega * Xst;
    XY = XY + Xst' * iomega * Yt;
end,
R = inv(XX);
r = R * (XY);
