
%   This function computes the hyperparameters for the factor loadings   
function [b,B] = fastar_LOAD_RDH(draw,priors,data,n_x)
isig = inv(draw.sig(n_x,1));
XX = priors.B;
XY = priors.B * priors.b;
for t = priors.start_x(n_x,1):priors.T
    Yt = data.X(n_x,t);
    Xst = draw.F(:,t);
    XX = XX + Xst' * isig * Xst;
    XY = XY + Xst' * isig * Yt;
end,
B = inv(XX);
b = B * (XY);
