% this one does responses based on a saved posterior distribution
datanam = 'cooked_data_2017.xls';
[priors,draw,data] = fastar_priors_GVS_unb_after(datanam);
% % trying to remove regime inversions by assuming that regime 2 has fewer
% % observations than regime 1 always. 
% [~,ndraws]=size(results.c); 
% results.phi_val2=zeros(372,ndraws);
% for i=1:ndraws
%     draw.phi_val=results.phi_val(:,i);
%     n1=sum(draw.phi_val(priors.P+1:priors.T)<=0.10); 
%      n2=sum(draw.phi_val(priors.P+1:priors.T)>0.90); 
% if n2>n1; 
%     results.phi_val2(:,i)=ones(372,1)-draw.phi_val;
% end,
% end,

% using the mean of the parameters distribution
meanz.A1 = mean(results.A1(:,:,:),3); %4734 if with missing
meanz.A2 = mean(results.A2(:,:,:),3);
meanz.omega1 = mean(results.OMEGA1(:,:,:),3);
meanz.omega2 = mean(results.OMEGA2(:,:,:),3);
meanz.gamma = mean(results.gamma(:,:),2);
meanz.c = mean(results.c(:,:),2);
meanz.phi_val = mean(results.phi_val(:,:),2);
P_p=quantile(results.phi_val,[.16 .5 .84],2);
meanz.F = mean(results.F(:,:,:),3);
F_p=quantile(results.F,[.16 .5 .84],3);
p1=(F_p(:,:,1));
p2=F_p(:,:,2); 
p3=F_p(:,:,3);
F_p=[p1' p2' p3'];
meanz.lam = mean(results.lam(:,:),2);
L_p=quantile(results.lam(:,:),[.16 .5 .84],2); 
meanz.sig = mean(results.sig(:,:),2);
meanz.beta = mean(results.beta(:,:),2);

% generalised response at the mean
draw.A1=meanz.A1; 
draw.A2=meanz.A2; 
draw.OMEGA1=meanz.omega1;
draw.OMEGA2=meanz.omega2;
draw.gamma=meanz.gamma; 
draw.c=meanz.c; 
draw.lam=meanz.lam; 
draw.sig=meanz.sig; 
draw.beta=meanz.beta; 
draw.F=meanz.F; 
[star] = fastar_F_GVS_3_unb_filter(draw,priors,data);
draw.phi_val=star.phi_val; 
draw.F=star.F; 
draw.F_minus =star.F_minus; 
draw.sc=std(draw.F(:,5:end,1),1,2); 
    [IR1Fi,IR2Fi]=gen_resp_unb_v2(data,priors,draw,-1,200);


% %predicted factor and regime probability
% 
% tf_f=1/(1+exp(-(meanz.gamma/draw.sc)*(meanz.F(1,end)-meanz.c)));
% Factor_f=(meanz.A1(3,4)*meanz.F(1,end))+(meanz.A2(3,4)*meanz.F(1,end))*tf_f; 
% pred=[tf_f Factor_f];





