% this one does responses based on a saved posterior distribution
%using draws
datanam = 'cooked_data_2017.xls';
[priors,draw,data] = fastar_priors_GVS_unb_after(datanam);
rt=100; % this will give 200 draws. 
gi_d=size(results.c,2)/rt;
IR1Fi=zeros(priors.N+1,priors.H,gi_d);
IR2Fi=zeros(priors.N+1,priors.H,gi_d);
for i=1:gi_d
    draw.A1=results.A1(:,:,rt+rt*(i-1)); 
    draw.A2=results.A2(:,:,rt+rt*(i-1));
    draw.OMEGA1=results.OMEGA1(:,:,rt+rt*(i-1)); 
    draw.OMEGA2=results.OMEGA2(:,:,rt+rt*(i-1)); 
    draw.gamma=results.gamma(:,rt+rt*(i-1)); 
    draw.c=results.c(:,rt+rt*(i-1));
    draw.phi_val=results.phi_val(:,rt+rt*(i-1));
    draw.lam=results.lam(:,rt+rt*(i-1));
    draw.sig=results.sig(:,rt+rt*(i-1));
    draw.beta=results.beta(:,rt+rt*(i-1));
%     [star] = fastar_F_GVS_3_unb_filter(draw,priors,data);
%     draw.phi_val=star.phi_val; 
%     draw.F=star.F; 
%     draw.F_minus =star.F_minus;
    draw.F=results.F(:,:,rt+rt*(i-1)); 
    draw.F_minus = normrnd(priors.f,sqrt(priors.F),1,priors.T+priors.P,priors.P);
    draw.F_minus(:,1+1:priors.T+1,1) = draw.F;
    draw.sc=std(draw.F(:,5:end,1),1,2); 
    [IR1Fi(:,:,i),IR2Fi(:,:,i)]=gen_resp_unb_v2(data,priors,draw,-1,200);
end,
IRF1_p = quantile(IR1Fi,[.16 .5 .84],3); 
p1=IRF1_p(:,:,1);
p2=IRF1_p(:,:,2); 
p3=IRF1_p(:,:,3);
F1_p=[p1' p2' p3'];
IRF2_p = quantile(IR2Fi,[.16 .5 .84],3);
p1=IRF2_p(:,:,1);
p2=IRF2_p(:,:,2); 
p3=IRF2_p(:,:,3);
F2_p=[p1' p2' p3'];
IRF=[mean(IR1Fi,3); mean(IR2Fi,3)];
SIRF=[std(IR1Fi(:,2:end,:),1,3); std(IR2Fi(:,2:end,:),1,3)];