function [AA] = fastar_MH_acceptance_RDH(draw,priors,star)

%   likelihood
top00 = 0;bot00 = 0;
for t = 1:priors.T,
    top00 = top00 + log_mvnorm_pdf(star.e(t,:)',zeros(priors.N+1,1),draw.OMEGA(:,:,t));
    bot00 = bot00 + log_mvnorm_pdf(draw.e(t,:)',zeros(priors.N+1,1),draw.OMEGA(:,:,t));
end,
% % % top10 = unifpdf(star.c,priors.c_low,priors.c_hi);
% % % bot10 = unifpdf(draw.c,priors.c_low,priors.c_hi);

top10 = unifpdf(star.c,star.c_low,star.c_hi);
bot10 = unifpdf(draw.c,star.c_low,star.c_hi);

top20 = gampdf(star.gamma,priors.gam1,priors.gam2);
bot20 = gampdf(draw.gamma,priors.gam1,priors.gam2);
atop0 = (star.gamma ^ 2) / priors.delta_gamma;
btop0 = star.gamma / priors.delta_gamma;
abot0 = (draw.gamma ^ 2) / priors.delta_gamma;
bbot0 = draw.gamma / priors.delta_gamma;
top30 = gampdf(draw.gamma,atop0,1/btop0);
bot30 = gampdf(star.gamma,abot0,1/bbot0);

a = top00 + log(top10) + log(top20) + log(top30) - bot00 - log(bot10) - log(bot20) - log(bot30);
AA = min(exp(a),1);










