%   This function determines the hyperparameters for the draw of the
%   measurement variances

function [w,W] = fastar_SIG_RDH(draw,priors,data,n_x)
sumYmXb = 0;
sumT = priors.w;
for t = priors.P + priors.start_x(n_x,1):priors.T
    Yt = data.X(n_x,t);
    Xst = draw.F(:,t);
    dev = Yt - draw.beta(n_x,:) * draw.lam(n_x,:) * Xst;
    sumYmXb = sumYmXb + dev * dev';
    sumT = sumT + 1;
end
%   *************************************************************
WW = inv(priors.W) + sumYmXb;
if WW < 0.0000001
    error('stop')
end,
W = 2 * inv(WW);
w = sumT / 2;
