

function [value] = log_mvnorm_pdf(X,MEAN,SIG)

k = size(X,1);

term1 = - (k / 2) * log(2 * pi);

term2 = - 0.5 * det(SIG);

err = X - MEAN;

term3 = - 0.5 * err' * inv(SIG) * err;

value = term1 + term2 + term3;